import java.awt.event.*;
import java.awt.*;
import java.io.*;

class FileInfoButtonPressedAction implements ActionListener
{
  public FileInfoButtonPressedAction()
  {
  }
  
  public void actionPerformed(ActionEvent e)
  {
    JEditCommanderTable table = JEditCommanderPlugin.leftTable;
    int[] selected = table.getSelectedRows();
    if (selected.length < 1)
    {
      Toolkit.getDefaultToolkit().beep();
      return;
    }

    JEditCommanderTableModel model = table.getTableModel();
    JEditCommanderFile[] files = model.getCurrentFiles();
    
    FileInfoAction infoAction = new FileInfoAction();
    for (int i = 0; i < selected.length; i++)
    {
      File f = files[selected[i]].getFile();
      infoAction.setFile(f);
      infoAction.actionPerformed(e);
    }
  }
}