import java.io.*;
import org.gjt.sp.jedit.*;

class MkdirAction
{
    public static boolean makeDir(File parent, String dirName)
    {
        boolean success = false;
        File dirFile = new File(parent.getPath() + System.getProperty("file.separator") +
            dirName);
        if (dirFile.exists() == true)
        {
            String[] args = {dirFile.getPath()};
            GUIUtilities.error(JEditCommanderPlugin.leftTable.getTopLevelAncestor(), 
                "jeditcom.mkdir.failed.direxsists", args);
            return false;
        }
        
        try
        {
            success = dirFile.mkdir();
        }
        catch (Exception ex)
        {
            String[] args = {dirFile.getPath()};
            GUIUtilities.error(JEditCommanderPlugin.leftTable.getTopLevelAncestor(), 
                "jeditcom.mkdir.failed", args);
            ex.printStackTrace();
            return false;
        }
        
        if (!success)
        {
            String[] args = {dirFile.getPath()};
            GUIUtilities.error(JEditCommanderPlugin.leftTable.getTopLevelAncestor(), 
                "jeditcom.mkdir.failed", args);
            return false;
        }
        
        return true;
    }
}