/*
 * BringUpBufferDialogAction.java
 *
 * Created on Ponedeljek, 2000, junij 12, 14:17
 */
 
import java.awt.event.*;
import java.awt.*;

/** 
 * Brings up SelectBufferDialog
 *
 * @author  Matija Kejzar
 * @version 0.1
 */
class BringUpBufferDialogAction implements ActionListener
{

  /** Creates new BringUpBufferDialogAction */
  public BringUpBufferDialogAction() 
  {
  }
  
  public void actionPerformed(final java.awt.event.ActionEvent p1)
  {
    JEditCommanderTable table = JEditCommanderPlugin.leftTable;
    int[] selected = table.getSelectedRows();
    
    if (selected.length < 1)
    {
      Toolkit.getDefaultToolkit().beep();
      return;
    }
    
    JEditCommanderTableModel model = table.getTableModel();
    JEditCommanderFile[] files = model.getCurrentFiles();
    
    boolean containsFile = false;
    for (int i = 0; i < selected.length; i++)
    {
      if (files[selected[i]].getFile().isDirectory() == false)
      {
        containsFile = true;
        break;
      }
    }
    
    if (containsFile == true)
      new SelectBufferDialog();
    else
      Toolkit.getDefaultToolkit().beep();
  }
}