import java.awt.event.*;
import javax.swing.*;
import java.awt.*;

class CopyButtonPressedAction implements ActionListener
{
        public void actionPerformed(ActionEvent e)
        {
                JEditCommanderTable table = JEditCommanderPlugin.leftTable;
                JEditCommanderFile[] files = table.getTableModel().getCurrentFiles();
                int[] selected = table.getSelectedRows();
                if (selected.length < 1)
                {
                        Toolkit.getDefaultToolkit().beep();
                        return;
                }
                
                boolean hasFile = false;
                for (int i = 0; i < selected.length; i++)
                {
                        if (!files[selected[i]].getFile().isDirectory())
                        {
                                hasFile = true;
                                break;
                        }
                }
                if (!hasFile)
                {
                        Toolkit.getDefaultToolkit().beep();
                        return;
                }
                
                CopyDialog cd = new CopyDialog();
                cd.show();
        }
}