import javax.swing.*;
import java.awt.event.*;
import org.gjt.sp.jedit.*;

class FileFilterBox extends JTextField
{
    public FileFilterBox()
    {
        super(6);
        this.setText(jEdit.getProperty("jeditcom.filter.text"));
        this.setToolTipText("Filter");
        this.addKeyListener(new EnterListener());
        boolean enableFiltering = jEdit.getBooleanProperty("jeditcom.filtering.enabled");
        this.setEnabled(enableFiltering);
        FileFiltering.filteringEnabled = enableFiltering;
    }
    
    class EnterListener extends KeyAdapter
    {
        public void keyReleased(KeyEvent e)
        {
            if (e.getKeyCode() == KeyEvent.VK_ENTER)
            {
                JEditCommanderActions.refresh.actionPerformed(new ActionEvent(
                    FileFilterBox.this, ActionEvent.ACTION_LAST+1, "Refresh"));
            }
        }
    }
}