import javax.swing.*;
//import javax.swing.filechooser.*;
import java.io.*;
import java.awt.*;
import org.gjt.sp.util.*;

class JEditCommanderDirDialog extends JFileChooser
{
        String selectedDir;
        int retValue = JFileChooser.ERROR_OPTION;
        
        public JEditCommanderDirDialog()
        {
                this.setApproveButtonText("Select");
                this.setMultiSelectionEnabled(false);
                selectedDir = null;
        }
        
        public boolean accept(File f)
        {
                if (f.isDirectory() == true)
                    return true;
                
                return false;
        }
        
        public void approveSelection()
        {
                Log.log(Log.DEBUG, null, "[JEDIT COMMANDER] - approveSelection() called");
                if (this.getCurrentDirectory() != null && this.getSelectedFiles().length < 1)
                {
                        //Log.log(Log.DEBUG, null, "[JEDIT COMMANDER] select and close");
                        this.selectedDir = this.getCurrentDirectory().getPath();
                        JDialog theDialog = (JDialog) this.getTopLevelAncestor();
                        Log.log(Log.DEBUG, null, "[JEDIT_COMMANDER] current dirchooser dir: " +
                                selectedDir);
                        theDialog.dispose();
                        this.retValue = JFileChooser.APPROVE_OPTION;
                }
                else if (this.getSelectedFiles().length > 1)
                {
                        File selected = this.getSelectedFile();
                        this.setCurrentDirectory(selected);
                }
        }
        
        public void cancelSelection()
        {
                this.retValue = JFileChooser.CANCEL_OPTION;
                super.cancelSelection();
        }
        
        public String showDirDialog(String initialDir)
        {
                Component parent = (Component) JEditCommanderPlugin.leftTable.getTopLevelAncestor();
                File currentDir = new File(initialDir);
                if (!currentDir.exists())
                    currentDir = new File(System.getProperty("user.home"));
                this.setCurrentDirectory(currentDir);
                this.showDialog(parent, "Select");
                
                switch (retValue)
                {
                        case JFileChooser.APPROVE_OPTION:
                                return this.selectedDir;
                        default:
                                return null;
                }
        }
}