import java.awt.event.*;
import java.awt.*;
import org.gjt.sp.jedit.*;
import java.io.*;

class RenMovButtonPressedAction implements ActionListener
{
    private RenMovAction renMovAction;
    
    public RenMovButtonPressedAction()
    {
        renMovAction = new RenMovAction();
    }
    
    public void actionPerformed(ActionEvent e)
    {
        JEditCommanderTable table = JEditCommanderPlugin.leftTable;
        JEditCommanderFile[] selected = table.getTableModel().getCurrentFiles();
        int[] indices = table.getSelectedRows();
        
        if (indices.length < 1)
        {
            Toolkit.getDefaultToolkit().beep();
            return;
        }
        
        String path = GUIUtilities.input(JEditCommanderPlugin.leftTable.getTopLevelAncestor(),
            "jeditcom.renmov", "Renamed");
        
        if (path == null)
            return;
        
        File[] toRename = new File[1];
        toRename[0] = selected[indices[0]].getFile();
        String[] paths = {path};
        
        renMovAction.setFiles(toRename);
        renMovAction.setPath(paths);
        renMovAction.run();
        
    }
}